// @use '../scss/galerie_animata_frag' with (
//   $nr-img: <%- locals.nrImg %>
// );

@use "sass:math";
$border-width: 10px;
$border-img: url('/resurse/imagini/erori/meeples-on-beach.jpg');
$nr-img: 8 !default;
$timp-animatie: 2.5;
$timp-delay: 3.5;
$timp-afisare: $timp-animatie + $timp-delay;
$timp-total: $nr-img * $timp-afisare;

@function calcTransformareSfarsitAparitie(){
    @return math.percentage(math.div($timp-afisare,$timp-total));
}

#container-ga {
    position: relative;
    border: $border-width solid;
    border-image: $border-img 30 round;
    overflow: hidden;
    width: 50%;
    height: 400px;
    margin: auto;

    @media (max-width: 1200px){
        display: none;
    }

    .item-ga{
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 0;
        animation-name: clipPathAnimation;
        animation-timing-function: linear;
        animation-iteration-count: infinite;
        animation-fill-mode: forwards;
        animation-duration: calc($nr-img * ($timp-afisare)) * 1s; 
        transform-origin: center center;
    }

    @for $i from $nr-img through 1 {
        //incepem cu imaginea de deasupra (ultima)
        .item-ga:nth-of-type(#{$i}) {
                animation-delay: calc(($nr-img - $i) * ($timp-afisare)) * 1s;
            }
    }
}

#container-ga.paused .item-ga {
    animation-play-state: paused;
}

@keyframes clipPathAnimation {
    0% {
        z-index: 10; 
        opacity: 1;
        filter: invert(0.8) brightness(1.5);
        clip-path: polygon(0 40%, 100% 40%, 100% 40%, 0 40%);
    }
    #{calc(calcTransformareSfarsitAparitie() / 2)} {
        z-index: 10; 
        opacity: 1;
        filter: invert(0.5) brightness(1.5);
        clip-path: polygon(0 50%, 100% 50%, 100% 50%, 0 50%);
    }
    #{calcTransformareSfarsitAparitie()}{
        clip-path: polygon(0 0%, 100% 0%, 100% 100%, 0% 100%);
        opacity: 1;
        z-index: 10;
        filter: none;
    }
    // #{100% - calc(calcTransformareSfarsitAparitie() / 2)}{
    //     opacity: 1;
    //     z-index: -10;
    //     clip-path: polygon(0 0%, 100% 0%, 100% 100%, 0% 100%);

    // }
    99%{
        opacity: 1;
        z-index: -10;
        clip-path: polygon(0 0%, 100% 0%, 100% 100%, 0% 100%);

    }
    100% {
        opacity: 1;
        z-index: 0;
    }
}
